# Changelog - Kairos WP Developer

**Authors:** Vanguard HIVE, Javier Baal, Cline (AI Assistant)
**Last Updated:** 2025-05-18

---

## [1.1.0] - 2025-05-18
### Added
- Enhanced domain registration logic: An account can now be associated with multiple website domains.
- A domain name can only be registered to a single user account, preventing duplicate domain registrations across different accounts.
### Changed
- Backend logic updated to support multiple domains per user account while ensuring global uniqueness for each domain.
- Frontend API calls updated to transmit current website domain for proper association.

## [1.0.1] - 2025-05-17
### Added
- Internationalization of texts in agent modals (prepared for Spanish translation).
- "(Coming Soon)" message for the direct plugin installation feature, indicating its future availability.
### Changed
- Source texts for AI agent modals (Lola, Pablo) are now in English to facilitate translation.
- "Install Plugin" button on the delivery screen has been temporarily disabled.
### Fixed
- Fixed a linter error in `class-kairos-wp-render.php` related to message retrieval.
- Improved internationalization management for dynamic messages in JavaScript.

## [1.0.0] - 2025-05-02
### Added
- Final establishment of the "Kairos WP" brand and consolidation of the new visual identity.
- Humanized names for AI agents: Lola, Pablo, and Alex.
### Changed
- **Significantly improved token counting system** for greater reliability and accuracy in usage tracking.
- User interface of the "Kairos WP" CPT and Settings page adapted for the new authentication and account management system.
### Fixed
- Multiple fixes in the user interface and agent logic to enhance experience and stability.

## [0.9.0] - 2025-04-15
### Added
- **Implementation of the token-based monetization model:**
    - Initial token balance for new users.
    - System for purchasing additional token packages (integration with Stripe Payment Links).
- "Token Economy" metabox on the plugin creation screen to visualize consumption.
### Changed
- Token deduction logic moved and strengthened in the backend (Vercel Functions).

## [0.8.0] - 2025-03-10
### Added
- **Proprietary Authentication System:**
    - Full registration, login, and password recovery functionality via Email/Password.
    - Authentication backend implemented with Vercel Functions and Supabase DB Cloud.
    - Integration with Resend.com for sending transactional emails (verification, reset).
    - "Settings" page in WordPress for user account management.
### Changed
- WordPress plugin code (PHP/JS) adapted to interact with the new authentication backend.

## [0.5.0] - 2024-12-15
### Added
- **Core AI Plugin Generation Engine:**
    - Initial implementation of AI agents:
        - **Lola:** For refining initial ideas.
        - **Pablo:** For generating PHP, JS, and CSS code.
        - **Alex:** For code review and suggestions.
    - Basic interface in the "Kairos WP" CPT to interact with agents.
    - Functionality to download the generated plugin as a ZIP file.
- Initial integration with the Kairos AI engine for AI capabilities.
### Changed
- Critical AI API call logic moved to the backend (Vercel Functions).

## [0.1.0] - 2024-09-20
### Added
- **Initial Project Conception and Base Structure:**
    - Definition of the "Kairos WP" Custom Post Type (CPT) for centralized plugin generation management.
    - Basic metabox structure for requirements input.
    - Creation of the initial Memory Bank for project documentation.

---

## Roadmap - Upcoming Enhancements and Features

Kairos WP is a continuously growing project. We are working to offer you even more value and capabilities.

### Immediate Improvements and Pending Fixes
- **Reactivation of "Install Plugin":** Once strengthened and thoroughly tested, the option to install plugins directly from the Kairos WP interface will be re-enabled.
- **Advanced Plugin Architecture & "Forking":**
    - Generation of plugins with more complex and professional file structures.
    - Ability to analyze, modify, and create personalized versions (forks) of existing plugins from the WordPress repository.
- **WooCommerce Enhancements:** Development of specific extensions and utilities for WooCommerce-based online stores.

### Next Major Updates (Future Features)
- **AI Content Assistant:** Ability to generate and manage site content (posts, pages, product descriptions) with AI assistance.
- **Deep BuddyPress Integration:** Tools to create custom functionalities and extensions for BuddyPress communities.
- **AI-Powered Theme Creation and Modification:** Expansion of Kairos WP capabilities to assist in generating and customizing WordPress themes.

Thank you for being part of the Kairos WP community! We are committed to continuous improvement and innovation.
