# Historial de Cambios - Kairos WP Developer

**Autores:** Vanguard HIVE, Javier Baal, Cline (Asistente IA)
**Última Actualización:** 2025-05-18

---

## [1.1.0] - 2025-05-18
### Añadido
- Lógica de registro de dominios mejorada: ahora una cuenta de usuario puede asociarse a múltiples dominios de sitios web.
- Un nombre de dominio solo puede registrarse en una única cuenta de usuario, previniendo registros duplicados de dominios en diferentes cuentas.
### Cambiado
- Lógica del backend actualizada para admitir múltiples dominios por cuenta de usuario, asegurando al mismo tiempo la unicidad global de cada dominio.
- Llamadas a la API del frontend actualizadas para transmitir el dominio actual del sitio web para una correcta asociación.

## [1.0.1] - 2025-05-17
### Añadido
- Internacionalización de textos en modales de agentes (preparado para traducción al español).
- Mensaje "(Próximamente)" para la función de instalación directa de plugins, indicando su futura disponibilidad.
### Cambiado
- Los textos fuente para los modales de los agentes IA (Lola, Pablo) ahora están en inglés para facilitar la traducción.
- El botón "Instalar Plugin" en la pantalla de entrega ha sido deshabilitado temporalmente.
### Corregido
- Corregido un error de linter en `class-kairos-wp-render.php` relacionado con la obtención de mensajes.
- Mejorada la gestión de internacionalización para mensajes dinámicos en JavaScript.

## [1.0.0] - 2025-05-02
### Añadido
- Establecimiento final de la marca "Kairos WP" y consolidación de la nueva identidad visual.
- Nombres humanizados para los agentes IA: Lola, Pablo, y Alex.
### Cambiado
- **Sistema de conteo de tokens significativamente mejorado** para una mayor fiabilidad y precisión en el seguimiento del uso.
- Interfaz de usuario del CPT "Kairos WP" y página de Ajustes adaptada para el nuevo sistema de autenticación y gestión de cuenta.
### Corregido
- Múltiples correcciones en la interfaz de usuario y en la lógica de los agentes para mejorar la experiencia y estabilidad.

## [0.9.0] - 2025-04-15
### Añadido
- **Implementación del modelo de monetización basado en tokens:**
    - Saldo inicial de tokens para nuevos usuarios.
    - Sistema para la compra de paquetes de tokens adicionales (integración con Stripe Payment Links).
- Metabox "Economía de Tokens" en la pantalla de creación de plugins para visualizar el consumo.
### Cambiado
- Lógica de deducción de tokens movida y robustecida en el backend (Vercel Functions).

## [0.8.0] - 2025-03-10
### Añadido
- **Sistema de Autenticación Propio:**
    - Funcionalidad completa de registro, inicio de sesión y recuperación de contraseña mediante Email/Password.
    - Backend de autenticación implementado con Vercel Functions y Supabase DB Cloud.
    - Integración con Resend.com para el envío de correos electrónicos transaccionales (verificación, reseteo).
    - Página de "Ajustes" en WordPress para la gestión de la cuenta de usuario.
### Cambiado
- Código del plugin de WordPress (PHP/JS) adaptado para interactuar con el nuevo backend de autenticación.

## [0.5.0] - 2024-12-15
### Añadido
- **Núcleo de Generación de Plugins con IA:**
    - Implementación inicial de los agentes IA:
        - **Lola:** Para el refinamiento de ideas iniciales.
        - **Pablo:** Para la generación de código PHP, JS y CSS.
        - **Alex:** Para la revisión de código y sugerencias.
    - Interfaz básica en el CPT "Kairos WP" para interactuar con los agentes.
    - Funcionalidad para descargar el plugin generado como archivo ZIP.
- Integración inicial con el motor Kairos AI para las capacidades de IA.
### Cambiado
- Lógica crítica de llamadas a la API de IA movida al backend (Vercel Functions).

## [0.1.0] - 2024-09-20
### Añadido
- **Concepción Inicial del Proyecto y Estructura Base:**
    - Definición del Custom Post Type (CPT) "Kairos WP" para la gestión centralizada de la generación de plugins.
    - Estructura básica de metaboxes para la entrada de requisitos.
    - Creación del Memory Bank inicial para la documentación del proyecto.

---

## Hoja de Ruta - Próximas Mejoras y Funcionalidades

Kairos WP es un proyecto en continuo crecimiento. Estamos trabajando para ofrecerte aún más valor y capacidades.

### Mejoras Inmediatas y Arreglos Pendientes
- **Reactivación de «Instalar Plugin»:** Una vez reforzada y probada a fondo, se volverá a activar la opción de instalar plugins directamente desde la interfaz de Kairos WP.
- **Arquitectura avanzada de plugins y «Forking»:**
    - Generación de plugins con estructuras de archivos más complejas y profesionales.
    - Capacidad para analizar, modificar y crear versiones personalizadas (forks) de plugins existentes desde el repositorio de WordPress.
- **Mejoras en WooCommerce:** Desarrollo de extensiones y utilidades específicas para tiendas online basadas en WooCommerce.

### Próximas actualizaciones importantes (características futuras)
- **Asistente de contenido de IA:** Capacidad para generar y administrar contenido del sitio (posts, páginas, descripciones de productos) con asistencia de IA.
- Integración profunda con BuddyPress:** Herramientas para crear funcionalidades personalizadas y extensiones para comunidades BuddyPress.
- Creación y modificación de temas con ayuda de IA:** Ampliación de las capacidades de Kairos WP para ayudar a generar y personalizar temas de WordPress.

¡Gracias por formar parte de la comunidad Kairos WP! Estamos comprometidos con la mejora continua y la innovación.
