# Kairos WP Plugin_

**Version:** 2.0.1
**Author:** Vanguard HIVE
**Author URI:** https://www.kairoswp.vanguardhive.com

## Description

Kairos WP is a WordPress plugin that empowers users without technical expertise to create custom WordPress plugins. It leverages a multi-agent AI team (Lola, Pablo, Alex) powered by DeepSeek, operating securely through an external backend service.

Users describe their desired functionality within the WordPress admin area. The AI agents then generate and review the necessary PHP, JavaScript, and CSS code. **Usage requires a user account created and managed via the plugin's settings page.**

## Features

*   **AI-Powered Plugin Generation:** Creates PHP, JS, and CSS code based on user descriptions via DeepSeek.
*   **Multi-Agent Interface:** Simulates interaction with an AI team (Lola: Consultant, Pablo: Developer, Alex: Reviewer).
*   **AI Code Review:** Provides confidence scores and suggestions for generated code.
*   **Secure Backend:** All AI interactions and token management occur via a secure external backend (Vercel Functions & Supabase DB). No need for users to handle API keys.
*   **User Authentication:** Secure Email/Password registration and login system integrated within the plugin settings.
*   **Token Economy:** Usage is measured in tokens, with a free starting balance provided upon registration. Token packages can be purchased via Stripe.
*   **Safe Testing:** Integrates with WordPress Playground for testing generated plugins in an isolated environment.
*   **Downloadable Output:** Generated plugins can be downloaded as installable ZIP files.

## Status

The plugin utilizes a hybrid architecture. The WordPress plugin serves as the primary user interface, while core logic (user authentication, AI API calls, token management, plugin compilation) is handled by a secure external backend powered by Vercel Functions and Supabase Database. This architecture is implemented and functional. Stripe integration for token purchases is also active.

## Setup & Usage

1.  Install and activate the Kairos WP plugin like any standard WordPress plugin.
2.  Navigate to "Settings" -> "Kairos WP" in your WordPress admin panel.
3.  **Register** for a new account or **Login** if you already have one. You will receive a free token balance upon registration.
4.  Go to "Instant Plugins" -> "Add New".
5.  Follow the on-screen instructions to describe your plugin idea, generate code with the AI agents (Lola, Pablo, Alex), review, test, and download your custom plugin.
6.  Purchase additional tokens via the "Settings" -> "Kairos WP" page if needed.

*(This README provides a basic overview. More detailed documentation may be available separately.)*
