<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

require_once plugin_dir_path( __FILE__ ) . 'class-kairos-wp-core-framework.php';

class Kairos_WP_Render_Framework {
	public $core;

	public function __construct() {
		$this->core = new Kairos_WP_Core_Framework();
	}

	private function kairos_wp_render_home_page() {
		require_once plugin_dir_path( dirname( __FILE__ ) ) . '../assets/views/welcome.php';
		// La lógica de API key y redirección basada en ella es obsoleta aquí,
		// la clase hija Kairos_WP_Render maneja la autenticación y redirección.
	}

	public function get_kairos_wp_render_home_page( $post ) {
		$this->kairos_wp_render_home_page( $post );
	}

 	public function kairos_wp_render_settings_page() {
 		?>
 		<div class="wrap">
			<h1><?php esc_html_e( 'Kairos WP Account & Settings', 'kairos-wp' ); ?></h1>

			<?php // --- Auth Container --- ?>
			<div id="kairos-wp-auth-container" style="margin-bottom: 30px; padding-bottom: 20px; border-bottom: 1px solid #ccc; max-width: 800px;">

				<?php // --- Global Auth Messages Container --- ?>
				<div id="kairos-wp-auth-messages" style="margin-top: 15px; margin-bottom: 15px;"></div>

				<div id="kairos-wp-login-form-section">
					<h2><?php esc_html_e( 'Login', 'kairos-wp' ); ?></h2>
					<form id="kairos-wp-login-form" method="post" action="javascript:void(0);">
						<p>
							<label for="kairos-wp-login-email"><?php esc_html_e( 'Email Address', 'kairos-wp' ); ?></label><br/>
							<input type="email" id="kairos-wp-login-email" name="email" class="regular-text" required>
						</p>
						<p>
							<label for="kairos-wp-login-password"><?php esc_html_e( 'Password', 'kairos-wp' ); ?></label><br/>
							<input type="password" id="kairos-wp-login-password" name="password" class="regular-text" required>
						</p>
						<p>
							<button type="button" id="kairos-wp-login-button" class="button button-primary"><?php esc_html_e( 'Login', 'kairos-wp' ); ?></button>
							<span id="kairos-wp-login-spinner" class="spinner" style="display: none; float: none; vertical-align: middle; margin-left: 5px;"></span>
						</p>
						<p><a href="#" id="kairos-wp-forgot-password-link"><?php esc_html_e( 'Forgot Password?', 'kairos-wp' ); ?></a></p>
						<div id="kairos-wp-login-message" style="color: red; margin-top: 10px;"></div>
						<p style="margin-top: 15px; text-align: center;">
							<?php esc_html_e( 'Don\'t have an account?', 'kairos-wp' ); ?> <a href="#" id="kairos-wp-show-register-link"><?php esc_html_e( 'Register here', 'kairos-wp' ); ?></a>
						</p>
					</form>
				</div>

				<div id="kairos-wp-register-form-section" style="display: none;">
					<h2><?php esc_html_e( 'Register New Account', 'kairos-wp' ); ?></h2>
					<form id="kairos-wp-register-form">
						<p>
							<label for="kairos-wp-register-email"><?php esc_html_e( 'Email Address', 'kairos-wp' ); ?></label><br/>
							<input type="email" id="kairos-wp-register-email" name="email" class="regular-text" required>
						</p>
						<p>
							<label for="kairos-wp-register-password"><?php esc_html_e( 'Password', 'kairos-wp' ); ?></label><br/>
							<input type="password" id="kairos-wp-register-password" name="password" class="regular-text" required>
						</p>
						 <p>
 							<label for="kairos-wp-register-confirm-password"><?php esc_html_e( 'Confirm Password', 'kairos-wp' ); ?></label><br/>
 							<input type="password" id="kairos-wp-register-confirm-password" name="confirm_password" class="regular-text" required>
 						</p>
						<p>
							<label for="kairos-wp-register-coupon"><?php esc_html_e( 'Coupon Code (Optional)', 'kairos-wp' ); ?></label><br/>
							<input type="text" id="kairos-wp-register-coupon" name="coupon_code" class="regular-text">
						</p>
 						<p id="kairos-wp-hcaptcha-container" style="margin-bottom: 15px;">
 							<div class="h-captcha" data-sitekey="6b3a3946-0724-4bd6-8548-ac9e3a466d36"></div>
 						</p>
 						<p>
 							<button type="submit" id="kairos-wp-register-button" class="button button-secondary"><?php esc_html_e( 'Register', 'kairos-wp' ); ?></button>
 							<span id="kairos-wp-register-spinner" class="spinner" style="display: none; float: none; vertical-align: middle; margin-left: 5px;"></span>
						</p>
						<div id="kairos-wp-register-message" style="margin-top: 10px;"></div>
						<p style="margin-top: 15px; text-align: center;">
							<?php esc_html_e( 'Already have an account?', 'kairos-wp' ); ?> <a href="#" id="kairos-wp-show-login-link"><?php esc_html_e( 'Login here', 'kairos-wp' ); ?></a>
						</p>
					</form>
				</div>

				<div id="kairos-wp-user-info-section" style="display: none; margin-top: 20px;">
					<h2><?php esc_html_e( 'Your Account & Tokens', 'kairos-wp' ); ?></h2>
					<div class="kairos-wp-settings-columns">
						<div class="kairos-wp-settings-column-left">
							<h3><?php esc_html_e( 'Account Information', 'kairos-wp' ); ?></h3>
							<p><?php esc_html_e( 'Logged in as:', 'kairos-wp' ); ?> <strong id="kairos-wp-logged-in-email"></strong></p>
							<hr>
							<h3><?php esc_html_e( 'AI Credits Usage', 'kairos-wp' ); ?></h3>
							<p id="kairos-wp-token-quota-display" style="font-size: 1.2em;">
								<strong><?php esc_html_e( 'Current Usage:', 'kairos-wp' ); ?></strong>
								<span id="kairos-wp-token-quota-status" style="font-weight: bold;"><?php esc_html_e( 'Loading...', 'kairos-wp' ); ?></span>
							</p>
							<p id="kairos-wp-low-token-warning-settings" style="display: none; color: orange; font-weight: bold;"><?php esc_html_e( 'Your token quota is almost depleted! Purchase a new quota to continue.', 'kairos-wp' ); ?></p>
							
							<div id="kairos-wp-redeem-coupon-section" style="margin-top: 20px; padding-top:15px; border-top: 1px dashed #ccc;">
								<h4><?php esc_html_e( 'Redeem a Coupon', 'kairos-wp' ); ?></h4>
								<p>
									<label for="kairos-wp-redeem-coupon-code"><?php esc_html_e( 'Enter Coupon Code:', 'kairos-wp' ); ?></label><br/>
									<input type="text" id="kairos-wp-redeem-coupon-code" name="redeem_coupon_code" class="regular-text" style="width: 250px; margin-right:10px;">
									<button type="button" id="kairos-wp-redeem-coupon-button" class="button button-secondary"><?php esc_html_e( 'Redeem Coupon', 'kairos-wp' ); ?></button>
									<span id="kairos-wp-redeem-coupon-spinner" class="spinner" style="display: none; float: none; vertical-align: middle; margin-left: 5px;"></span>
								</p>
								<div id="kairos-wp-redeem-coupon-message" style="margin-top: 10px;"></div>
							</div>
							<hr style="margin-top: 20px;">
							<p><button id="kairos-wp-logout-button" class="button button-secondary"><?php esc_html_e( 'Logout', 'kairos-wp' ); ?></button></p>
						</div>
						<div class="kairos-wp-settings-column-right">
						</div>
					</div>
				</div>

				<div class="kairos-wp-settings-info-section" style="margin-top: 40px; padding-top: 30px; border-top: 1px solid #ccc; max-width: 800px;">
					<h4><?php esc_html_e( 'How Credits and Usage Limits Work', 'kairos-wp' ); ?></h4>
					<h5><?php esc_html_e( 'What are AI Credits?', 'kairos-wp' ); ?></h5>
					<p><?php esc_html_e( 'Credits measure the computational effort our agents (Lola, Pablo, Alex) use when generating and reviewing your plugins. More complex tasks consume more credits.', 'kairos-wp' ); ?></p>
					<h5><?php esc_html_e( 'Limit System', 'kairos-wp' ); ?></h5>
					<p><?php esc_html_e( 'You do not buy individual credits, but a Maximum Limit for a certain period. Upon registration, you receive an initial free limit.', 'kairos-wp' ); ?></p>
					<h5><?php esc_html_e( 'Control Your Consumption', 'kairos-wp' ); ?></h5>
					<p><?php esc_html_e( 'Your usage counter starts at 0 and increases with each task performed. At the top, you can monitor:', 'kairos-wp' ); ?></p>
					<ul style="list-style: disc; margin-left: 20px;">
						<li><?php esc_html_e( 'Your Current Usage (what you have consumed)', 'kairos-wp' ); ?></li>
						<li><?php esc_html_e( 'Your Total Limit (the maximum you can use)', 'kairos-wp' ); ?></li>
					</ul>
					<h5><?php esc_html_e( 'Limit Renewal', 'kairos-wp' ); ?></h5>
					<p><?php esc_html_e( 'When you reach your limit, you need to activate a new package. By doing so:', 'kairos-wp' ); ?></p>
					<ol style="list-style: decimal; margin-left: 20px;">
						<li><?php esc_html_e( 'Your Total Limit is updated to the value of the new package', 'kairos-wp' ); ?></li>
						<li><?php esc_html_e( 'Your Current Usage resets to 0', 'kairos-wp' ); ?></li>
						<li><?php esc_html_e( 'You get the full capacity of the new limit to continue working', 'kairos-wp' ); ?></li>
					</ol>
				</div>

				<div id="kairos-wp-forgot-password-form-section" style="display: none; margin-top: 20px;">
					<h2><?php esc_html_e( 'Reset Password', 'kairos-wp' ); ?></h2>
					<p><?php esc_html_e( 'Enter your email address and we will send you a link to reset your password.', 'kairos-wp' ); ?></p>
					<form id="kairos-wp-forgot-password-form">
						<p>
							<label for="kairos-wp-forgot-email"><?php esc_html_e( 'Email Address', 'kairos-wp' ); ?></label><br/>
							<input type="email" id="kairos-wp-forgot-email" name="email" class="regular-text" required>
						</p>
						<p>
							<button type="submit" id="kairos-wp-forgot-password-button" class="button button-primary"><?php esc_html_e( 'Send Reset Link', 'kairos-wp' ); ?></button>
							<a href="#" id="kairos-wp-cancel-forgot-password-link" style="margin-left: 10px;"><?php esc_html_e( 'Cancel', 'kairos-wp' ); ?></a>
							<span id="kairos-wp-forgot-spinner" class="spinner" style="display: none; float: none; vertical-align: middle; margin-left: 5px;"></span>
						</p>
						<div id="kairos-wp-forgot-message" style="margin-top: 10px;"></div>
					</form>
				</div>
			</div>

			<div id="kairos-wp-token-packages" style="display: none; margin-top: 30px; padding-top: 20px; border-top: 1px solid #ccc; padding-left: 30px; padding-right: 30px;">
				<h3><?php esc_html_e( 'Extend Your Usage Limit', 'kairos-wp' ); ?></h3>
				<p><?php esc_html_e( 'Select a package to define your maximum usage limit for AI credits:', 'kairos-wp' ); ?></p>
				<div class="kairos-wp-packages-container" style="display: flex; flex-wrap: wrap; gap: 20px; justify-content: space-between; margin-bottom: 20px;">

					<div class="kairos-wp-package-card" style="border: 1px solid #ddd; padding: 20px; border-radius: 4px; text-align: center; flex-basis: calc(25% - 20px); box-sizing: border-box; display: flex; flex-direction: column; justify-content: space-between; background-color: #fff;">
						<div>
							<h5><?php esc_html_e( 'Starter Package', 'kairos-wp' ); ?></h5>
							<p style="font-size: 0.9em; margin-bottom: 5px;"><?php esc_html_e( 'Allows up to', 'kairos-wp' ); ?></p>
							<p style="font-size: 1.2em; margin: 0 0 10px 0;"><?php echo number_format_i18n( 200000 ); ?></p>
							<p style="font-size: 0.9em; margin-bottom: 15px;"><?php esc_html_e( 'Usage Credits', 'kairos-wp' ); ?></p>
						</div>
						<div>
							<p style="font-size: 1.5em; font-weight: bold; margin-bottom: 15px;">$25 USD</p>
							<button class="button button-primary kairos-wp-buy-tokens-btn" style="padding: 10px 15px; height: auto; line-height: normal;" data-payment-link-url="https://buy.stripe.com/6oE6p34aR5bD7XGfZ1?client_reference_id=USER_ID_PLACEHOLDER"><?php esc_html_e( 'Activate Limit (200k)', 'kairos-wp' ); ?></button>
						</div>
					</div>

					<div class="kairos-wp-package-card kairos-wp-package-recommended" style="border: 2px solid #2271b1; padding: 20px; border-radius: 4px; text-align: center; flex-basis: calc(25% - 20px); box-sizing: border-box; display: flex; flex-direction: column; justify-content: space-between; position: relative; background-color: #fff;">
						<div>
							<h5><?php esc_html_e( 'Creator Package', 'kairos-wp' ); ?></h5>
							<p style="font-size: 0.9em; margin-bottom: 5px;"><?php esc_html_e( 'Allows up to', 'kairos-wp' ); ?></p>
							<p style="font-size: 1.2em; margin: 0 0 10px 0;"><?php echo number_format_i18n( 600000 ); ?></p>
							<p style="font-size: 0.9em; margin-bottom: 15px;"><?php esc_html_e( 'Usage Credits', 'kairos-wp' ); ?></p>
						</div>
						<div>
							<p style="font-size: 1.5em; font-weight: bold; margin-bottom: 15px;">$60 USD</p>
							<button class="button button-primary kairos-wp-buy-tokens-btn" style="padding: 10px 15px; height: auto; line-height: normal;" data-payment-link-url="https://buy.stripe.com/7sI28NcHn33vem49AC?client_reference_id=USER_ID_PLACEHOLDER"><?php esc_html_e( 'Activate Limit (600k)', 'kairos-wp' ); ?></button>
						</div>
					</div>

					<div class="kairos-wp-package-card" style="border: 1px solid #ddd; padding: 20px; border-radius: 4px; text-align: center; flex-basis: calc(25% - 20px); box-sizing: border-box; display: flex; flex-direction: column; justify-content: space-between; background-color: #fff;">
						<div>
							<h5><?php esc_html_e( 'Pro Package', 'kairos-wp' ); ?></h5>
							<p style="font-size: 0.9em; margin-bottom: 5px;"><?php esc_html_e( 'Allows up to', 'kairos-wp' ); ?></p>
							<p style="font-size: 1.2em; margin: 0 0 10px 0;"><?php echo number_format_i18n( 1200000 ); ?></p>
							<p style="font-size: 0.9em; margin-bottom: 15px;"><?php esc_html_e( 'Usage Credits', 'kairos-wp' ); ?></p>
						</div>
						<div>
							<p style="font-size: 1.5em; font-weight: bold; margin-bottom: 15px;">$100 USD</p>
							<button class="button button-primary kairos-wp-buy-tokens-btn" style="padding: 10px 15px; height: auto; line-height: normal;" data-payment-link-url="https://buy.stripe.com/28o4gV36NfQhcdW4gh?client_reference_id=USER_ID_PLACEHOLDER"><?php esc_html_e( 'Activate Limit (1.2M)', 'kairos-wp' ); ?></button>
						</div>
					</div>

					<div class="kairos-wp-package-card" style="border: 1px solid #ddd; padding: 20px; border-radius: 4px; text-align: center; flex-basis: calc(25% - 20px); box-sizing: border-box; display: flex; flex-direction: column; justify-content: space-between; background-color: #fff;">
						<div>
							<h5><?php esc_html_e( 'Business Package', 'kairos-wp' ); ?></h5>
							<p style="font-size: 0.9em; margin-bottom: 5px;"><?php esc_html_e( 'Allows up to', 'kairos-wp' ); ?></p>
							<p style="font-size: 1.2em; margin: 0 0 10px 0;"><?php echo number_format_i18n( 4000000 ); ?></p>
							<p style="font-size: 0.9em; margin-bottom: 15px;"><?php esc_html_e( 'Usage Credits', 'kairos-wp' ); ?></p>
						</div>
						<div>
							<p style="font-size: 1.5em; font-weight: bold; margin-bottom: 15px;">$300 USD</p>
							<button class="button button-primary kairos-wp-buy-tokens-btn" style="padding: 10px 15px; height: auto; line-height: normal;" data-payment-link-url="https://buy.stripe.com/aEUcNrgXD47zfq86oo?client_reference_id=USER_ID_PLACEHOLDER"><?php esc_html_e( 'Activate Limit (4M)', 'kairos-wp' ); ?></button>
						</div>

					</div>
					<div id="kairos-wp-stripe-message" style="margin-top: 15px; color: green; clear: both;"></div>
					<span id="kairos-wp-stripe-spinner" class="spinner" style="display: none; float: none; vertical-align: middle; margin-left: 5px; clear: both;"></span>
				</div>
			</div>

 			<hr style="margin-top: 40px; margin-bottom: 30px;">
 			<form method="post" action="options.php" style="margin-bottom: 50px;">
 				<?php
 				settings_fields( 'kairos_wp_uninstall_options' );
 				do_settings_sections( 'kairos_wp_settings' ); 
 				submit_button( __( 'Save Uninstall Preference', 'kairos-wp' ) );
 				?>
 			</form>
 		</div>
 		<?php
 	}

	/**
	 * Renders a generic text input field for settings pages.
	 * Expects 'id' and optionally 'description' in the $args array.
	 *
	 * @param array $args Arguments passed from add_settings_field.
	 */
	private function kairos_wp_render_text_field( $args ) {
		$option_name = $args['id'];
		$value       = get_option( $option_name, '' );
		?>
		<input type="text" name="<?php echo esc_attr( $option_name ); ?>" value="<?php echo esc_attr( $value ); ?>" class="regular-text">
		<?php if ( isset( $args['description'] ) ) : ?>
			<p class="description"><?php echo esc_html( $args['description'] ); ?></p>
		<?php endif; ?>
		<?php
	}

	/** Public wrapper for the generic text field renderer */
	public function get_kairos_wp_render_text_field( $args ) {
		$this->kairos_wp_render_text_field( $args );
	}

	// --- ADDED: Uninstall Settings Rendering Callbacks ---

	/**
	 * Renders the description for the Uninstall Settings section.
	 */
	public function render_uninstall_section_callback() {
		echo '<p>' . esc_html__( 'Choose whether to remove all plugin data when uninstalling Kairos WP.', 'kairos-wp' ) . '</p>';
	}

	/**
	 * Renders the checkbox for the data deletion setting.
	 */
	public function render_delete_data_checkbox() {
		$option_name = 'kairos_wp_delete_data_on_uninstall';
		$checked = get_option( $option_name, true ); // Default to true (checked)
		?>
		<label for="<?php echo esc_attr( $option_name ); ?>">
			<input type="checkbox"
				   id="<?php echo esc_attr( $option_name ); ?>"
				   name="<?php echo esc_attr( $option_name ); ?>"
				   value="1"
				   <?php checked( (bool) $checked ); ?>
			/>
			<?php esc_html_e( 'Delete all Kairos WP data upon plugin uninstallation.', 'kairos-wp' ); ?>
		</label>
		<p class="description" style="color: red; font-size: 0.9em;">
			<?php esc_html_e( 'Warning: If checked, all generated plugins (Kairos WP posts), settings, and related data will be permanently deleted when the plugin is uninstalled. This action cannot be undone. Uncheck this box if you want to keep your data.', 'kairos-wp' ); ?>
		</p>
		<?php
	}
	// --- END: Uninstall Settings Rendering Callbacks ---

}
